/* import React, { useState } from "react"
import {v4 as uuidv4} from 'uuid';
import { SearchComponent } from "../../../auto/js/widgets"
import { t } from "../../../auto/js/services"
import { displayCivilRecordsList } from "../../../auto/js/lists/CivilRecordList"
import { OPEN_VIEW_EVENT } from "../../../auto/js/events/Gui";
import { FormLabel } from "@mui/material";
import SearchBar from "material-ui-search-bar";

const SearchPage = () => {
    const [id, setId] = useState("");

    const onChange = (id) => {
		setId(id);
	}
	const onRequestSearch = () => {
        if (id != null && id != "") {
            let filter = {};
            filter['vital-record'] = {id: id};
            displayCivilRecordsList(filter);
        }
	}

    return (
        <>
        <FormLabel component={"legend"}>{t`Search By ID`}</FormLabel>
        <SearchBar
            onChange={onChange}
            onRequestSearch={onRequestSearch}
        />
        </>
    )
}

export const displayCivilRecordAdvancedSearch = () => {
    let uuid = uuidv4();
	OPEN_VIEW_EVENT.publish({
		uuid, view: () =>  <SearchPage uuid={uuid} />
	});
} */
